@charset "utf-8";
/* CSS Document */


html {
    position: relative;
    min-height: 100%;
    font-size: 14px;
    font-family: 'Rawline', sans-serif;
}


@media (min-width: 768px) {
    html {
        font-size: 16px;
        font-family: 'Rawline', sans-serif;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


.bgHeader {
    background-color: rgba(0,0,0,0.5)
}

.navbar-brand h1 {
    font-size: 1.5em;
}

.side-navbar {
    width: 250px;
    height: 100%;
    position: fixed;
    margin-left: -300px;
    background-color: #314BA0;
    transition: 0.5s;
}

.nav-link:active,
.nav-link:focus,
.nav-link:hover {
    background-color: #ffffff26;
}

.my-container {
    transition: 0.4s;
}

.active-nav {
    margin-left: 0;
}

/* for main section */
.active-cont {
    margin-left: 250px;
}

#menu-btn {
    background-color: #100901;
    color: #fff;
    margin-left: -62px;
    margin-left: -62px;
}

.my-container input {
    border-radius: 2rem;
    padding: 2px 20px;
}

.bold {
    font-weight: bold;
}

.esconder {
    display: none;
}

.bd-example-modal-lg .modal-dialog {
    display: table;
    position: relative;
    margin: 0 auto;
    top: calc(50% - 24px);
}

    .bd-example-modal-lg .modal-dialog .modal-content {
        background-color: transparent;
        border: none;
    }

/*LAYOUT*/

body {
    /*background-image: url("../img/fundo_painel.png");*/
    background: rgb(0,0,0,0.02);
    background-size: cover; /* cobre toda a tela */
    background-position: center; /* centraliza */
    background-repeat: no-repeat; /* n�o repete */
    background-attachment: fixed; /* fixa no fundo (efeito parallax leve) */
    height: 100vh; /* ocupa 100% da altura da viewport */
    margin: 0;
    font-family: 'Rawline', sans-serif;
}

.imgTransp img {
    opacity: 0.5;
}


.Logov img {
    max-width: 360px;
    height: auto;
    margin-top: 3%;
}

.btnRadius {
    border-radius: 2rem;
    min-width: 100%;
}

.titulo-secao {
    display: flex;
    align-items: center;
}

    .titulo-secao h4 {
        border-left: 4px solid #ff0000; /* linha vermelha */
        padding-left: 10px; /* espa�o entre linha e texto */
        margin: 0; /* remove margens padr�o */
        font-weight: 600; /* texto mais encorpado */
    }

.titulo-secao {
    border-left: 4px solid #ff0000; /* linha vermelha */
    padding-left: 10px; /* espa�o entre linha e texto */
    margin: 0; /* remove margens padr�o */
    font-weight: 600; /* texto mais encorpado */
}

thead.bgAzul {
    background-color: #314BA0 !important;
    color: #FFF;
}

#report-container {
    height: 85vh;
    width: 100%;
    border: none;
    border-radius: 10px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
}

.error-container {
    color: red;
    font-weight: bold;
}


a {
    color: #111827; /* Preto moderno */
    text-decoration: none; /* Remove sublinhado */
}

    a:visited {
        color: #111827;
    }

    a:hover {
        color: #111827;
    }

.btn-success, .btn-primary {
    color: #fff !important;
}


.data-toolbar {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    margin-top: 1rem;
    align-items: center;
    flex-wrap: wrap;
}

    .data-toolbar .filter {
        width: 260px;
    }

    .data-toolbar .pagination {
        display: flex;
        gap: 4px;
        flex-wrap: wrap;
    }

.pagination-info {
    font-size: 0.85rem;
}